HtmlToSeamTransformer (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.convert.seamtext.HtmlToSeamTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert.seamtext
Class HtmlToSeamTransformer

    java.lang.Object
      org.richfaces.convert.seamtext.HtmlToSeamTransformer

    public class HtmlToSeamTransformer

extends java.lang.Object

Field Summary
`boolean` | `preformatted`

Constructor Summary
`HtmlToSeamTransformer()`

Method Summary
`void` | `closeTagWithBody(HtmlTag tag)`
`java.lang.String` | `escapeSeamText(java.lang.String tokenName, boolean preformatted)`
`HtmlTag` | `getCurrentTag()`
`java.util.Stack<HtmlTag>` | `getHtmlElementStack()`
`boolean` | `isFormattedHtmlSeamTextElement(HtmlTag element)`
`boolean` | `isPlainHtmlRequired(HtmlTag name)`
`boolean` | `isSeamTextElement(HtmlTag element)`
`boolean` | `isSimpleSeamTextElement(HtmlTag element)`
`void` | `newline(char[] text, int start, int length)`
`void` | `openTag(HtmlTag tag)`
`void` | `out(char[] text, int start, int length)`
`void` | `seamCharacters(char[] text, int start, int length)`
`void` | `setCurrentTag(HtmlTag currentTag)`
`void` | `setHtmlElementStack(java.util.Stack<HtmlTag> htmlElementStack)`
`void` | `space(char[] text, int start, int length)`
`void` | `text(char[] text, int start, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### preformatted

    public boolean preformatted

Constructor Detail

### HtmlToSeamTransformer

    public HtmlToSeamTransformer()

Method Detail

### getHtmlElementStack

    public java.util.Stack<HtmlTag> getHtmlElementStack()

### setHtmlElementStack

    public void setHtmlElementStack(java.util.Stack<HtmlTag> htmlElementStack)

### escapeSeamText

    public java.lang.String escapeSeamText(java.lang.String tokenName,
                                           boolean preformatted)

### isSeamTextElement

    public boolean isSeamTextElement(HtmlTag element)

### isSimpleSeamTextElement

    public boolean isSimpleSeamTextElement(HtmlTag element)

### isFormattedHtmlSeamTextElement

    public boolean isFormattedHtmlSeamTextElement(HtmlTag element)

### isPlainHtmlRequired

    public boolean isPlainHtmlRequired(HtmlTag name)

### text

    public void text(char[] text,
                     int start,
                     int length)

### seamCharacters

    public void seamCharacters(char[] text,
                               int start,
                               int length)

### out

    public void out(char[] text,
                    int start,
                    int length)

### space

    public void space(char[] text,
                      int start,
                      int length)

### newline

    public void newline(char[] text,
                        int start,
                        int length)

### openTag

    public void openTag(HtmlTag tag)

### closeTagWithBody

    public void closeTagWithBody(HtmlTag tag)

### getCurrentTag

    public HtmlTag getCurrentTag()

### setCurrentTag

    public void setCurrentTag(HtmlTag currentTag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.